## org.eclipse.xsd.impl
Class XSDSchemaDirectiveImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.xsd.impl.XSDConcreteComponentImpl
                      org.eclipse.xsd.impl.XSDSchemaContentImpl
                          org.eclipse.xsd.impl.XSDSchemaDirectiveImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XSDConcreteComponent, XSDSchemaContent, XSDSchemaDirective

Direct Known Subclasses:
  XSDImportImpl, XSDSchemaCompositorImpl

    public abstract class XSDSchemaDirectiveImpl

extends XSDSchemaContentImpl
implements XSDSchemaDirective

An implementation of the model object 'Schema Directive'.

The following features are implemented:

- `Schema Location`
- `Resolved Schema`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`XSDConcreteComponentImpl.XSDContentsEList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected boolean` `resolved`
`protected XSDSchema` `resolvedSchema` The cached value of the '`Resolved Schema`' reference
`protected static java.lang.String` `SCHEMA_LOCATION_EDEFAULT` The default value of the '`Schema Location`' attribute
`protected java.lang.String` `schemaLocation` The cached value of the '`Schema Location`' attribute

Fields inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl
`ANALYZED, ANALYZING, CIRCULAR, diagnostics, element, ELEMENT_EDEFAULT, ERROR, FATAL, forceResolve, INFORMATION, isReconciling, UNANALYZED, updatingDOM, WARNING, xsdContents`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XSDSchemaDirectiveImpl()`

Method Summary
`protected void` `changeAttribute(EAttribute eAttribute)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`XSDSchema` `getResolvedSchema()`
`java.lang.String` `getSchemaLocation()`
`protected void` `handleResolvedSchema(XSDSchema xsdSchema)`
`protected XSDSchema` `locateSchema(XSDSchema xsdSchema, java.lang.String namespace, java.lang.String rawSchemaLocation, java.lang.String resolvedSchemaLocation)`
`protected void` `orphanBy(XSDSchema xsdSchema)`
`protected void` `reconcileAttributes(org.w3c.dom.Element changedElement)`
`void` `reset()`
`protected void` `resolve(java.lang.String namespace, java.lang.String schemaLocation)`
`protected java.lang.String` `resolveSchemaLocation(XSDSchema xsdSchema, java.lang.String namespace, java.lang.String schemaLocation)`
`void` `setResolvedSchema(XSDSchema newResolvedSchema)`
`void` `setSchemaLocation(java.lang.String newSchemaLocation)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.xsd.impl.XSDSchemaContentImpl
`createSchemaContent`

Methods inherited from class org.eclipse.xsd.impl.XSDConcreteComponentImpl

`adoptBy, adoptContent, adoptDiagnostic, analyze, changeReference, checkAttributes, checkAttributeTypeConstraint, checkAttributeTypeConstraint, checkBuiltInTypeConstraint, checkComplexContent, checkComplexContent, checkElementComplexContent, checkSimpleTypeConstraint, clearDiagnostics, cloneConcreteComponent, cloneConcreteComponents, considerAllContainsForBestConcreteComponent, contains, createDiagnostic, createDiagnostic, createDiagnostic, createDiagnostic, createElement, createElement, createRequiredAttributeDiagnostic, createUnresolvedAttributeDeclaration, createUnresolvedAttributeGroupDefinition, createUnresolvedComplexTypeDefinition, createUnresolvedElementDeclaration, createUnresolvedIdentityConstraintDefinition, createUnresolvedModelGroupDefinition, createUnresolvedNotationDeclaration, createUnresolvedSimpleTypeDefinition, createUnresolvedTypeDefinition, eInverseRemove, elementAttributesChanged, elementChanged, elementContentsChanged, eNotificationRequired, eNotify, eObjectForURIFragmentSegment, eURIFragmentSegment, forceEngulf, forceEngulf, forceNiceInsertBefore, forceNiceRemoveChild, forceReplace, getAdoptionParentNode, getBestConcreteComponent, getComponentsWithApplicationInformation, getComponentsWithInformation, getComponentsWithUserInformation, getContainer, getContentNodes, getDiagnostics, getDiagnosticTarget, getElement, getRootContainer, getSchema, getURIReferenceLabel, getXSDConcreteComponentImpls, getXSDContents, getXSDFactory, getXSDPackage, handleAnnotationReconciliation, handleElementForAdopt, handleReconciliation, handleUnreconciledElement, isUpdatingDOM, moveContent, niceCreateNamespaceAttribute, niceInsertBefore, niceRemoveChild, niceSetAttribute, niceSetAttributeURIValue, orphanContent, orphanDiagnostic, patch, populateDiagnostic, printDFA, reconcile, reconcileContents, reportConstraintViolation, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, setElementGen, setListContentAndOrder, traverseToRootForAnalysis, traverseToRootForPatching, updateElement, updateElement, updatePrefix, validate`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### SCHEMA_LOCATION_EDEFAULT

    protected static final java.lang.String SCHEMA_LOCATION_EDEFAULT

  The default value of the '`Schema Location`' attribute.

  See Also:
    `getSchemaLocation()`

### schemaLocation

    protected java.lang.String schemaLocation

  The cached value of the '`Schema Location`' attribute.

  See Also:
    `getSchemaLocation()`

### resolvedSchema

    protected XSDSchema resolvedSchema

  The cached value of the '`Resolved Schema`' reference.

  See Also:
    `getResolvedSchema()`

### resolved

    protected boolean resolved

Constructor Detail

### XSDSchemaDirectiveImpl

    protected XSDSchemaDirectiveImpl()

Method Detail

### reset

    public void reset()

  Overrides:
    `reset` in class `XSDConcreteComponentImpl`

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `XSDSchemaContentImpl`

### getSchemaLocation

    public java.lang.String getSchemaLocation()

  Specified by:
    `getSchemaLocation` in interface `XSDSchemaDirective`
  Returns:
    the value of the 'Schema Location' attribute.
  See Also:
    `XSDSchema.getSchemaLocation()`, `XSDSchemaDirective.getResolvedSchema()`, `XSDSchemaDirective.setSchemaLocation(String)`, `XSDPackage.getXSDSchemaDirective_SchemaLocation()`

### setSchemaLocation

    public void setSchemaLocation(java.lang.String newSchemaLocation)

  Specified by:
    `setSchemaLocation` in interface `XSDSchemaDirective`
  Parameters:
    `newSchemaLocation` - the new value of the 'Schema Location' attribute.
  See Also:
    `XSDSchemaDirective.getSchemaLocation()`

### getResolvedSchema

    public XSDSchema getResolvedSchema()

  Specified by:
    `getResolvedSchema` in interface `XSDSchemaDirective`
  Returns:
    the value of the 'Resolved Schema' reference.
  See Also:
    `XSDSchemaDirective.getSchemaLocation()`, `XSDSchemaDirective.setResolvedSchema(XSDSchema)`, `XSDPackage.getXSDSchemaDirective_ResolvedSchema()`

### setResolvedSchema

    public void setResolvedSchema(XSDSchema newResolvedSchema)

  Specified by:
    `setResolvedSchema` in interface `XSDSchemaDirective`
  Parameters:
    `newResolvedSchema` - the new value of the 'Resolved Schema' reference.
  See Also:
    `XSDSchemaDirective.getResolvedSchema()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `XSDConcreteComponentImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `XSDConcreteComponentImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `XSDConcreteComponentImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `XSDConcreteComponentImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `XSDConcreteComponentImpl`

### reconcileAttributes

    protected void reconcileAttributes(org.w3c.dom.Element changedElement)

  Overrides:
    `reconcileAttributes` in class `XSDConcreteComponentImpl`

### changeAttribute

    protected void changeAttribute(EAttribute eAttribute)

  Overrides:
    `changeAttribute` in class `XSDConcreteComponentImpl`

### orphanBy

    protected void orphanBy(XSDSchema xsdSchema)

  Overrides:
    `orphanBy` in class `XSDConcreteComponentImpl`

### resolve

    protected void resolve(java.lang.String namespace,
                           java.lang.String schemaLocation)

### locateSchema

    protected XSDSchema locateSchema(XSDSchema xsdSchema,
                                     java.lang.String namespace,
                                     java.lang.String rawSchemaLocation,
                                     java.lang.String resolvedSchemaLocation)

### resolveSchemaLocation

    protected java.lang.String resolveSchemaLocation(XSDSchema xsdSchema,
                                                     java.lang.String namespace,
                                                     java.lang.String schemaLocation)

### handleResolvedSchema

    protected void handleResolvedSchema(XSDSchema xsdSchema)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.